<?php
function moveRecordsHere_addJavascript() {
  global $schema;

  //
  if (!@$schema['dragSortOrder'])         { return; } // skip sections without dragSortOrder field
  if (@$schema['_disableAdd'] == '1')     { return; } // skip sections with add disabled
  if (@$schema['menuType'] == 'category') { return; } // skip sections with menuType category (not tested)

  // add javascript -------------------------------------------------------------------------
?><script type="text/javascript"><!--
window.addEventListener('load', function () {
  document.querySelectorAll('a[data-actionlink-type="mrh"]').forEach(occurence => {
    occurence.addEventListener('click', (e) => {
      e.preventDefault();
      let targetRecordDSO = e.target.id;
      if (targetRecordDSO !== '') {
        // create input field to append
        let fieldTargetRecord = document.createElement('input');
        fieldTargetRecord.setAttribute('type', 'hidden');
        fieldTargetRecord.setAttribute('id', 'fieldTargetRecord');
        fieldTargetRecord.setAttribute('name', 'fieldTargetRecord');
        fieldTargetRecord.setAttribute('value', targetRecordDSO);
        // advancedAction element
        let advancedActionFormElement = document.getElementById('advancedAction');
        advancedActionFormElement.before(fieldTargetRecord);
        // select advanced option moveRecordsHere_updateRecordOrder
        document.querySelector('#advancedAction').value = 'moveRecordsHere_updateRecordOrder';
        // click _advancedActionSubmit button
        setTimeout(function () { document.getElementsByName('_advancedActionSubmit')[0].click(); }, 1000);        
      }  
    });
  });        

  document.querySelectorAll('input.selectRecordCheckbox').forEach(selectRecordCheckbox => {
    selectRecordCheckbox.addEventListener('click', (e) => {
      let checkboxes = document.getElementsByName("selectedRecords[]"); 
      let mrhlinkdisplay = false;
      for (let i = 0; i < checkboxes.length; i++) {
         if (checkboxes[i].checked == true) {
           // if any single checkbox is checked, enable MRH link display.
           mrhlinkdisplay = true;
         }
      }
      if (mrhlinkdisplay == true) {
        document.querySelectorAll('a[data-actionlink-type="mrh"]').forEach(mrhoccurence => {
            mrhoccurence.classList.remove('hidden');
        });
      } else {
        document.querySelectorAll('a[data-actionlink-type="mrh"]').forEach(mrhoccurence => {
            mrhoccurence.classList.add('hidden');
        });
      }
    });
  });  
        
})
//--></script><?php //--------------------------------------------------------------------------------
}
